PO4A-UPDATEPO(1p)

NAME
po4a-updatepo - aktualisiert die Übersetzung (im PO-Format) einer Dokumentation

ÜBERSICHT
po4a-updatepo -f fmt (-m Master.dok)+ (-p XX.po)+

(XX.po sind die Ausgaben, alles andere sind Eingaben)

BESCHREIBUNG
Das Projektziel von Po4a (PO für alles) ist es, die Übersetzung (und interessanter, die Wartung der Übersetzung) zu vereinfachen, indem die Gettext-Werkzeuge auch für Gebiete verwendet werden, wo diese nicht erwartet werden, wie Dokumentation.

Das Skript po4a-updatepo ist dafür verantwortlich, die PO-Dateien zu aktualisieren, um die Änderungen an der Originaldatei wiederzugeben. Dafür konvertiert es die Dokumentationsdatei in eine POT-Datei und ruft msgmerge(1) mit dieser neuen POT-Datei und den bereitgestellten PO-Dateien auf.

Es ist möglich, mehr als eine PO-Datei (falls Sie mehrere Sprachen gleichzeitig aktualisieren möchten) und mehrere Dokumentationsdateien anzugeben (falls Sie die Übersetzung mehrere Dokumente in der gleichen PO-Datei speichern möchten).

Falls im Master-Dokument nicht ASCII-Zeichen vorkommen, wird es die PO-Dateien nach UTF-8 konvertieren (falls sie dies nicht bereits waren), um Zeichen, die nicht Standard sind, kulturunabhängig zu erlauben.

OPTIONEN

-f, --format
    Format der Dokumentation, mit der Sie arbeiten möchten. Verwenden Sie die Option --help-format, um eine Liste der verfügbaren Formate zu erhalten.

-m, --master
    Datei(en), die das zu übersetzende Master-Dokumente enthalten.

-M, --master-charset
    Zeichensatz der Dateien, die das zu übersetzende Dokument enthalten. Beachten Sie, dass alle Dateien im gleichen Zeichensatz vorliegen müssen.

-p, --po
    Zu aktualisierende PO-Datei(en). Falls diese Dateien noch nicht existieren werden sie mit po4a-updatepo erstellt.

-o, --option
    Extraoption(en), die an die Formaterweiterung und andere Po4a-interne Module übergeben werden soll. Geben Sie jede Option im Format »Name=Wert« an. Lesen Sie die Dokumentation jeder Erweiterung für weitere Informationen über die gültigen Optionen und ihre Bedeutungen.

--no-previous
    Diese Option entfernt --previous aus den an msgmerge übergebenen Optionen. Dies erlaubt die Unterstützung von gettext-Versionen vor 0.16.

--previous
    Diese Option fügt --previous zu den an msgmerge übergebenen Optionen hinzu. Dies benötigt gettext 0.16 oder neuer und ist standardmäßig aktiviert.

--msgmerge-opt Optionen
    Extraoptionen für msgmerge(1).

-h, --help
    zeigt eine kurze Hilfemeldung an

--help-format
    die von Po4a verstandenen Dokumentationsformate auflisten

-V, --version
    zeigt die Version des Skripts und beendet sich

-v, --verbose
    Erhöhen der Ausführlichkeit des Programms

-d, --debug
    Fehlersuch- (Debug-)Informationen ausgeben

--porefs Typ[,wrap|nowrap]
    Gibt das Referenzformat an. Das Argument Typ kann entweder never (keine Referenz erzeugen), file (nur die Datei ohne Zeilenzahlen festlegen), counter (alle Zeilennummern durch einen ansteigenden Zähler ersetzen) oder full (komplette Referenzen einbinden) sein. Die Vorgabe ist »full«.

    Das Argument kann von einem Komma und entweder dem Schlüsselwort wrap oder nowrap gefolgt werden. Referenzen werden standardmäßig auf eine einzelne Zeile geschrieben. Die Option wrap bricht Referenzen über mehre Zeilen um, um die gettext (xgettext und msgmerge) nachzuahmen. Diese Option wird in zukünftigen Veröffentlichungen die Vorgabe werden, da sie vernünftiger ist. Die Option nowrap ist für Benutzer, die das alte Verhalten beibehalten möchten, verfügbar.

--msgid-bugs-address e-mail@adresse
    Setzt die E-Mail-Adresse, an die Fehler in den Meldungen (msgid) berichtet werden sollen. Standardmäßig haben die erstellten POT-Dateien keine »Report-Msgid-Bugs-To«-Felder.

--copyright-holder Zeichenkette
    Setzt den Namen des Urhebers in den Kopfzeilen der POT-Datei. Standardmäßig ist dies »Free Software Foundation, Inc.«.

--package-name Zeichenkette
    Setzt den Paketnamen für die POT-Kopfzeilen. Standardmäßig »PACKAGE«.

--package-version Zeichenkette
    Setzt die Paketversion für die POT-Kopfzeilen. Standardmäßig »VERSION«.

SIEHE AUCH
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTOREN
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

URHEBERRECHT UND LIZENZ
Copyright 2002-2012 SPI, Inc.

Dieses Programm ist freie Software; Sie können es unter den Bedingungen der GPL (siehe die Datei COPYING) vertreiben und/oder verändern.